/*rjob global network
 *
 *(c) Stanislav Ievlev <inger@linux.ru.net>
 */
 
/*r-job.h - general definitions*/

#ifndef RJOB_H
#define RJOB_H

/*for debug purposes*/
//#define TEST


#define PORTNUM 1500


/*paths*/
#define JOB_PATH "/tmp/rjob-jobs~" /*file of jobs*/
#define CLIENT_LIST_PATH "./client-list" /*lists of clients*/
#define KEY_FILE_PATH "./r-jobc.key" /*keyword file*/
#define CERTIFICATE_FILE_PATH "/tmp/certificate~" /*keyword file*/
#define CONFIG_FILE_PATH "./rjob.conf" /*config file*/
/*message length*/
#define MULT    5
#define MAX_LINE 32*MULT

/*default values*/
#define DEFAULT_HOST "localhost"
#define DEFAULT_PROMPT "Enter key:"

/*commands*/
#define GET_ONLY_COMMAND "rjob_get_only" 
#define GET_ONLY_WARRANTY_COMMAND "rjob_get_only_warranty"

#define ADD_ONLY_COMMAND "rjob_add_only"
#define ADD_ONLY_MINE_COMMAND "rjob_add_only_mine"

#define GET_AND_ADD_COMMAND "rjob_get_and_add"
#define GET_AND_ADD_WARRANTY_COMMAND "rjob_get_and_add_warranty"

#define PEEK_ONE_STATION_COMMAND     "rjob_peek_one_station"
#define ADD_ONLY_ONE_STATION_COMMAND "rjob_add_only_one_station"
#define GET_ONLY_ONE_STATION_COMMAND "rjob_get_only_one_station"
#define CLEAN_COMMAND "rjob_clean"
#define CLEAN_ONE_STATION_COMMAND "rjob_clean_one_station"

#define STOP_SERVER_COMMAND "rjob_stop_server" 
#define PAUSE_SERVER_COMMAND "rjob_pause_server" 
#define RESUME_SERVER_COMMAND "rjob_resume_server" 

#define LIST_STATION_COMMAND "rjob_list_station" 
#define ADD_STATION_COMMAND "rjob_add_station" 
#define DEL_STATION_COMMAND "rjob_del_station" 

#define NR_COMMAND 16

/*accessible levels*/
#define MAX_LEVEL	8
#define MED2_LEVEL	4
#define MED1_LEVEL	2
#define MIN_LEVEL	0

/*read-write modes*/
#define R_ADD_STATION	1
#define R_DEL_STATION	2
#define R_ADD_ONLY	3
#define R_CLEAN_ONE	4
#define R_PEEK_ONE	5
#define R_ADD_MINE      6

#define W_LIST_STATION	1
#define W_PEEK_ONE      2
#define W_ADD_ONE       3

/*for warranty*/
#define WARRANTY_YES    "warranty_ok"
#define WARRANTY_NO     "warranty_failed"

/*for Crypto functions*/
#define EXPONENT "3"
#define NUMBER_BASE 36
#define NUMBER_LENGTH 50
#define MODULE "100000000"

/*config file options*/
#define ACTIVITY_LOG_CONFIG "activity_log"
#define ERROR_LOG_CONFIG "error_log"
#define JOB_NAME_CONFIG "job_name"
#define STATION_LIST_CONFIG "station_list"

#endif /*RJOB_H*/

